summaryrefslogtreecommitdiff
path: root/bin/common/gt-cmd
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-07-11 21:58:37 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-07-11 21:58:37 +0200
commit320b7ed28d5b142d208f03a3e2f851bec9e1a678 (patch)
tree515bbe4e4e1f259e7d2296e4378046a416029711 /bin/common/gt-cmd
parent934efde05525734c7d02dbcd5615f8999e8b8817 (diff)
checkpoint
Diffstat (limited to 'bin/common/gt-cmd')
-rwxr-xr-xbin/common/gt-cmd8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/common/gt-cmd b/bin/common/gt-cmd
index 66efd50..faa743a 100755
--- a/bin/common/gt-cmd
+++ b/bin/common/gt-cmd
@@ -2,9 +2,11 @@
# path to repo
repo="$1"
+shift 2>/dev/null || exit 1
# git command
-command="$2"
-[ "$#" -lt 2 ] && exit 1
+command="$1"
+shift 2>/dev/null || exit 1
+args="$*"
repo_pretty="$(printf '%s' "$repo" | sed "s@^$HOME@~@")"
@@ -13,6 +15,6 @@ if [ ! -d "$repo" ]; then
exit 1
fi
-git -C "$repo" "$command" >/dev/null 2>&1
+git -C "$repo" "$command" $args >/dev/null 2>&1
[ $? -gt 0 ] && s="x" || s="o"
printf '%s: %s\n' "$repo_pretty" "$s"